Subject: RE: Figures in 2.6.3&2.6.4 Re: Last Call feedback on MPLS-Diff-Se rv

From: Shahram Davari <[email-masked]>
Date: Fri, 30 Jun 2000 07:16:36 -0700

Hi Grenville,

Good catch. How about removing the parentheses surrounding (E), (I), (P) and
add to the bottom of the figures the definition of E, I and P. In
other words how about this:

         ========== LSP ==========================>
                 +--Swap-(M)-...-Swap-(M)--+
                /        (outer header)     \
              (M)                           (M)
              /                               \
   >--(M)--Push...............(x)............Pop-(M)--E--(M)->
             I            (inner header)      P

(M) represents the Meaningful Diff-Serv information encoded in the
   corresponding header.   
(x) represents non-meaningful Diff-Serv information.

 I  represents the tunnel's Ingress node
 E  represents the tunnel's Egress node
 P  represents the tunnel's Penultimate node.

Cheers,
-Shahram 

>-----Original Message-----
>From: Grenville Armitage [mailto:[email-masked]]
>Sent: Thursday, June 29, 2000 8:00 PM
>To: Francois Le Faucheur
>Cc: [email-masked]
>Subject: Figures in 2.6.3&2.6.4 Re: Last Call feedback on 
>MPLS-Diff-Serv
>
>
>Francois,
>
>Use of "(P)" in second figures of 2.6.3 and 2.6.4:
>
>Francois Le Faucheur wrote:
>	[..]
>> >#6 Section 2.6.3, 2nd Figure
>> >
>> >   There's a "(P)" floating to the right of "(outer header)"
>> >   that perhaps ought not be there?  (Same for 2nd figure in
>> >   section 2.6.4)
>> 
>> (P) indicates the penultimate LSR in all diagrams. It appears at the
>> right location even in the 2nd figures (ie without PHP). It insists
>> on the fact that in those cases (P) does a swap (and not a pop) so
>> that the "outer header" is there between (P) and (E) to carry some
>> Diff-Serv info .
>
>Okay, I now understand the intent. But now I'm not sure the ASCII art
>is clear. In the non-PHP examples the "(P)" _appears_ to sit two hops
>prior to the "(E)" LSR, which is confusing. (Alternatively, it isn't
>clear from the ASCII art how to distinguish LSRs and links and
>therefore derive the message you intend about where the egress
>hops and penultimate hops exist. I can't figure out if the "(M)"
>represent LSRs or links using 'meaningful diffserv info' - my
>initial read took them as LSRs.) Perhaps the ASCII art could
>be clarified (or we could just assume readers know that non-PHP
>means "label swap all the way"?)
>
>cheers,
>gja
>_______________________________________________________________
>_________
>Grenville Armitage                    
>http://members.home.net/garmitage/
>Bell Labs Research Silicon Valley
>